Subject: [openpgp] calculating PGP signature on a public key

From: George Lind <[email-masked]>
Date: Mon, 30 Jul 2012 16:15:11 -0400

I am trying to figure out from the RFC exactly which fields get hashed when
calculating the public key signature.

The public key including the packet header and body
The user id including the packet header and body
signature version
signature type
public key algorithm
hashing algorithm
length of the hashed subpackets
all the hashed subpackets

Can anyone confirm if these are correct?

---

From: Clint Adams <[email-masked]>
Date: Mon, 30 Jul 2012 20:59:49 +0000

> calculating the public key signature.

You'll want RFC4880 §5.2.4.  If you are actually talking about a signature
over a public key, you just want the literal 0x99, the two-octet length
of the key, and the body of the key packet.

Perhaps you are conflating several different signature types into one.